<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structboot__status" kind="struct" prot="public">
    <compoundname>boot_status</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structboot__status_1adf8455547ae1ee50f6fa199657037166" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t boot_status::idx</definition>
        <argsstring />
        <name>idx</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="60" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="60" />
      </memberdef>
      <memberdef id="structboot__status_1a7a6ed1d69b381c06d86c22b0a67ef78c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t boot_status::state</definition>
        <argsstring />
        <name>state</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="61" />
      </memberdef>
      <memberdef id="structboot__status_1a2f8f26c9a76f39590b77577c73846233" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t boot_status::use_scratch</definition>
        <argsstring />
        <name>use_scratch</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="62" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="62" />
      </memberdef>
      <memberdef id="structboot__status_1a64523560681b86ca488074871a7b386d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t boot_status::swap_type</definition>
        <argsstring />
        <name>swap_type</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="63" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="63" />
      </memberdef>
      <memberdef id="structboot__status_1aff64c24a2ff11377d716205d9825bd43" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t boot_status::swap_size</definition>
        <argsstring />
        <name>swap_size</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="64" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="64" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="65" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" bodystart="59" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/src/bootutil_priv.h" line="59" />
    <listofallmembers>
      <member prot="public" refid="structboot__status_1adf8455547ae1ee50f6fa199657037166" virt="non-virtual"><scope>boot_status</scope><name>idx</name></member>
      <member prot="public" refid="structboot__status_1a7a6ed1d69b381c06d86c22b0a67ef78c" virt="non-virtual"><scope>boot_status</scope><name>state</name></member>
      <member prot="public" refid="structboot__status_1aff64c24a2ff11377d716205d9825bd43" virt="non-virtual"><scope>boot_status</scope><name>swap_size</name></member>
      <member prot="public" refid="structboot__status_1a64523560681b86ca488074871a7b386d" virt="non-virtual"><scope>boot_status</scope><name>swap_type</name></member>
      <member prot="public" refid="structboot__status_1a2f8f26c9a76f39590b77577c73846233" virt="non-virtual"><scope>boot_status</scope><name>use_scratch</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>